#include "me_iostm8s003f3.h"
#define CHANNEL 2

unsigned int ADC_GetValue(void)
{
  unsigned int temph = 0;
  unsigned char templ = 0;
  
    /* Read LSB first */
    templ = ADC_DRL;
    /* Then read MSB */
    temph = ADC_DRH;
    
    temph = (templ |(temph << 8));
 

  
  return temph;
}

void main( void )
{
       unsigned int ADC_val;
      CLK_CKDIVRA = 0x00;
      CLK_PCKENR1 = 0xFF; // Enable peripherals
       /* Configure the data alignment */
       ADC_CR2.ALIGN = 1;  // Data alignment right
       /* Set the continuous conversion mode */
       ADC_CR1.CONT = 1;
       /* Select the ADC1 channel */
       ADC_CSR.CH = CHANNEL; // channel 0
       /* Select the prescaler division factor according to ADC1_PrescalerSelection values */
       ADC_CR1.SPSEL = 0x7;  // Prescaler selection fADC1 = fcpu/18  
       /* Disable the selected external trigger */
       ADC_CR2.EXTTRIG = 0;
       /* Set the selected external trigger */
       ADC_CR2.EXTSEL = 1;  //Conversion from External interrupt on ADC_ETR pin
       //ADC Schmitt trigger disable register low
       ADC_TDRL |= (0x01 << CHANNEL); // channel 0 Enable
       /* Enable the ADC1 peripheral */
       ADC_CR1.ADON  =  1;
    
    	while(1)
	{
          
	    ADC_CR1.ADON  =  1;
	    while(!ADC_CSR.EOC);
	    ADC_val = ADC_GetValue();
	    ADC_CSR.EOC = 0;
	}
  
}
